tigase.jaxmpp.core.client.xmpp.modules.auth

## Class AuthModule.AuthStartHandler.AuthStartEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<AuthModule.AuthStartHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.AuthModule.AuthStartHandler.AuthStartEvent

- Enclosing interface:
    AuthModule.AuthStartHandler

      public static class AuthModule.AuthStartHandler.AuthStartEvent
      extends JaxmppEvent<AuthModule.AuthStartHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthStartEvent(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(AuthModule.AuthStartHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthStartEvent

          public AuthStartEvent(SessionObject sessionObject)

  - ### Method Detail

    - #### dispatch

          public void dispatch(AuthModule.AuthStartHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<AuthModule.AuthStartHandler>`
      Parameters:
        `handler` - handler

Copyright © 2006–2020 Tigase. All rights reserved.